PDA

View Full Version : inverse()



Itun.itu
04-28-2011, 04:21 PM
Why I could not use inverse function.
The errors is:
0(74) : warning C7532: global function inverse requires "#version 150" or later
0(74) : warning C0000: ... or #extension GL_ARB_gpu_shader5 : enable
0(74) : warning C7532: global function transpose requires "#version 120" or later

Alfonse Reinheart
04-28-2011, 04:40 PM
Perhaps because you're not using those versions in your shader?

If you do not have a #version specified at the beginning of your shader, then you will be compiling against version 1.10. In order to use any extension in a shader, you must specify this with a #extension specifier.